Debian Bug report logs - #571116
debsums: overwrites /etc/apt.conf.d/90debsums without asking

version graph

Package: debsums; Maintainer for debsums is Ryan Niebur <ryan@debian.org>; Source for debsums is src:debsums.

Reported by: "Bernhard R. Link" <brlink@debian.org>

Date: Tue, 23 Feb 2010 15:39:05 UTC

Severity: serious

Tags: patch

Found in version debsums/2.0.48

Fixed in version debsums/2.0.48+nmu1

Done: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#571116; Package debsums. (Tue, 23 Feb 2010 15:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
New Bug report received and forwarded. Copy sent to Ryan Niebur <ryan@debian.org>. (Tue, 23 Feb 2010 15:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: submit@bugs.debian.org
Subject: debsums: overwrites /etc/apt.conf.d/90debsums without asking
Date: Tue, 23 Feb 2010 16:37:24 +0100
Package: debsums
Version: 2.0.48
Severity: serious

Policy 10.7.3 says
"Configuration file handling must conform to the following behavior:
 * local changes must be preserved during a package upgrade, and"

but debsums (re)creates or deletes /etc/apt/apt.conf.d/90debsums every time
it is installed, reinstalled or upgraded without asking the user.

It should:
        - only ever overwrite the file if it is unchanged
          (or if it asked to do so)
        - check if the files exists in the config script
          and store the current state in debconf before asking,
          otherwise it will revert a user deleting the file
          without asking with the next upgrade.

Thanks in advance,
	Bernhard R. Link




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#571116; Package debsums. (Sun, 14 Mar 2010 13:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Sun, 14 Mar 2010 13:48:10 GMT) Full text and rfc822 format available.

Message #10 received at 571116@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 571116@bugs.debian.org, control@bugs.debian.org
Subject: debsums: overwrites /etc/apt.conf.d/90debsums without asking
Date: Sun, 14 Mar 2010 20:45:22 +0700
[Message part 1 (text/plain, inline)]
tags 57116 patch
thanks

I 've prepared a patch for this attached.



Regards

-- 
ปรัชญ์ พงษ์พานิช

Prach Pongpanich

http://prach-public.blogspot.com
[Message part 2 (text/html, inline)]
[patch.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#571116; Package debsums. (Mon, 15 Mar 2010 08:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Mon, 15 Mar 2010 08:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 571116@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 571116@bugs.debian.org, control@bugs.debian.org
Subject: Patch for this bug
Date: Mon, 15 Mar 2010 15:25:48 +0700
[Message part 1 (text/plain, inline)]
tags 571116 + patch
thanks

Hi,

I fix this bug with ucf and  prepared a patch file (my attached).


Regards.

-- 
ปรัชญ์ พงษ์พานิช

Prach Pongpanich

http://prach-public.blogspot.com
[Message part 2 (text/html, inline)]
[patch.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Mon, 15 Mar 2010 08:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#571116; Package debsums. (Mon, 10 May 2010 22:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Mon, 10 May 2010 22:15:12 GMT) Full text and rfc822 format available.

Message #22 received at 571116@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: 571116@bugs.debian.org
Subject: Another patch
Date: Tue, 11 May 2010 00:08:56 +0200
[Message part 1 (text/plain, inline)]
I prepared another patch for this bug. IMHO, the patch from Prach
Pongpanich has a few shortcomings I tried to fix in mine.

I made a few tests, and the patched package seems to behave The Right
Way(tm).

Thanks, Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org
[patch_giovanni.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#571116; Package debsums. (Tue, 11 May 2010 21:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Tue, 11 May 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #27 received at 571116@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: 571116@bugs.debian.org
Subject: Patch fixed
Date: Tue, 11 May 2010 23:34:25 +0200
[Message part 1 (text/plain, inline)]
My previous patch had a few minor problem with lintian override.
Moreover, the changelog comment was incorrect. This patch should fix
these issues.

I intend to NMU this patch (Gregor Herrmann is available to sponsor the
upload).

Thanks, Giovanni. :-)
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org
[patch_giovanni.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryan@debian.org>:
Bug#571116; Package debsums. (Tue, 11 May 2010 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryan@debian.org>. (Tue, 11 May 2010 21:54:03 GMT) Full text and rfc822 format available.

Message #32 received at 571116@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 571116@bugs.debian.org
Subject: debsums: diff for NMU version 2.0.48+nmu1
Date: Tue, 11 May 2010 23:50:47 +0200
[Message part 1 (text/plain, inline)]
tags 571116 + pending
thanks

Dear maintainer,

Giovanni has prepared an NMU for debsums (versioned as 2.0.48+nmu1)
and I've uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Dire Straits: Money For Nothing
[debsums-2.0.48+nmu1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 11 May 2010 21:54:07 GMT) Full text and rfc822 format available.

Reply sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
You have taken responsibility. (Thu, 13 May 2010 22:06:13 GMT) Full text and rfc822 format available.

Notification sent to "Bernhard R. Link" <brlink@debian.org>:
Bug acknowledged by developer. (Thu, 13 May 2010 22:06:13 GMT) Full text and rfc822 format available.

Message #39 received at 571116-close@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: 571116-close@bugs.debian.org
Subject: Bug#571116: fixed in debsums 2.0.48+nmu1
Date: Thu, 13 May 2010 22:02:30 +0000
Source: debsums
Source-Version: 2.0.48+nmu1

We believe that the bug you reported is fixed in the latest version of
debsums, which is due to be installed in the Debian FTP archive:

debsums_2.0.48+nmu1.dsc
  to main/d/debsums/debsums_2.0.48+nmu1.dsc
debsums_2.0.48+nmu1.tar.gz
  to main/d/debsums/debsums_2.0.48+nmu1.tar.gz
debsums_2.0.48+nmu1_all.deb
  to main/d/debsums/debsums_2.0.48+nmu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571116@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giovanni Mascellani <mascellani@poisson.phc.unipi.it> (supplier of updated debsums package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 11 May 2010 23:29:32 +0200
Source: debsums
Binary: debsums
Architecture: source all
Version: 2.0.48+nmu1
Distribution: unstable
Urgency: low
Maintainer: Ryan Niebur <ryan@debian.org>
Changed-By: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Description: 
 debsums    - tool for verification of installed package files against MD5 chec
Closes: 571116
Changes: 
 debsums (2.0.48+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Use ucf to properly manage the content of /etc/apt.conf.d/90debsums
     (closes: #571116).
     - Add ucf in Depends.
     - Lintian override updated for the new postinst version
Checksums-Sha1: 
 299f1dbe96aafec58ebad98a6f22e4ef75689866 1503 debsums_2.0.48+nmu1.dsc
 b475ae562fe042493ef6bcb67398603665240e03 58300 debsums_2.0.48+nmu1.tar.gz
 c87d6271248e2ef359cf998151c41e36ae1f279d 48158 debsums_2.0.48+nmu1_all.deb
Checksums-Sha256: 
 0740e1534d9e4d0cbeae8f9a49e75c6ac528fe9ae57be980049c4aa52b429355 1503 debsums_2.0.48+nmu1.dsc
 aeac2ab9acc9cbd5c05a158c2622a2aab70dba67f8c4b43ba64115f753bdbb73 58300 debsums_2.0.48+nmu1.tar.gz
 99343eea4d4027f35698392d5d82d0762473789a7a4d869cceda37c4d4cc6c77 48158 debsums_2.0.48+nmu1_all.deb
Files: 
 e8f7598150f93a91f8a29ed6de1e60be 1503 admin optional debsums_2.0.48+nmu1.dsc
 d2b611208ddadc9586a720378846c94c 58300 admin optional debsums_2.0.48+nmu1.tar.gz
 b96f10ad7196e75598ea1b57a5c026b9 48158 admin optional debsums_2.0.48+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJL6dC0AAoJELs6aAGGSaoGny0P/1+alpAkGKoWGJWp3pqyK0dK
AqMlYQWTg2itoiAiG8YGyunpDebfogZSNK8o1F1xQfi5tgMcyV2MwOtAed12u0cS
/Z9YyKT/dBEvDePormdsDXRWBS36OBmwYzTFlDFo54TJni9ewkbDzcHQwJQGVSeE
PCbIhYny0a5YOU+WYfOm05VDje2j1ZHoprjKvA7yfQVmdGUQUnvpvpC1XxGzZauR
YHPfyuHCRqIyM72n8c21x/8D3B3OkPuVvaO+opw9O9C9CIFN5gQrSLIqEp/M/r4K
iiCUBBdRLzbFkMvMEvo7AJ8enM1CM06FsjmKgevXppk8rehp6knDEda6/7fr2LZ5
o+GwAyXdlrITlL8UmotDdI/Du+AW1dJrem9tZTTrFPU+6g3h9AstMyI/A81Qjgd7
6AFB/0bdJqNK/B0bzBRMcGYkFEIYGm9yj16ul1GwQUg5bA41BadCv1K8H2JS1Z1P
hyxcOSR9q4wwzGqjGMt2CGFl4fMxt9tY754iGdw7TMJBVTsAtWWJjkMC947AaN/t
0i9+7ZcznVPTVNd4rJxG03VEOsMtWHq2lgnuGgEH7UZ+lc6fVH1zRls4dbiOj0RT
cszXVlEIi+SANfcoWR2dDmiI79x26PTtyP4JuhebYDD7tHNZ/tVLTr6WuD3aFddB
L8MR9rRAG8EqwRrYNikF
=7cWZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Jun 2010 07:31:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:35:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.